org.eclipse.oomph.targlets.core

## Interface ITargletContainerListener.Registry

- Enclosing interface:
    ITargletContainerListener

      public static interface ITargletContainerListener.Registry

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ITargletContainerListener.Registry` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(ITargletContainerListener listener)`
    `void` | `removeListener(ITargletContainerListener listener)`

- - ### Field Detail

    - #### INSTANCE

          static final ITargletContainerListener.Registry INSTANCE

  - ### Method Detail

    - #### addListener

          void addListener(ITargletContainerListener listener)

    - #### removeListener

          void removeListener(ITargletContainerListener listener)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html